Skip to main content
`Ctrl`+`K`

# dtype_bytes_or_chars

astropy.utils.misc.dtype_bytes_or_chars(dtype)

  Parse the number out of a dtype.str value like ‘<U5’ or ‘<f8’.

  See #5819 for discussion on the need for this function for getting the number of characters corresponding to a string dtype.

  Parameters:
    dtype `numpy` `dtype` `object`

      Input dtype

  Returns:
    bytes_or_chars `python:int` or `python:None`

      Bits (for numeric types) or characters (for string types)